import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController

@Composable
fun Сategory(navController: NavController){
    Column(modifier = Modifier.fillMaxWidth().padding(start = 10.dp, end = 10.dp, top = 20.dp, ),
        horizontalAlignment = Alignment.End
        ){

        CategoryItem(text = "Процессоры", { navController.navigate("processors") })
        CategoryItem(text = "Видеокарты", { navController.navigate("videocards") })

        CategoryItem(text = "ПЗУ", { navController.navigate("processors") })
        CategoryItem(text = "ОЗУ", { navController.navigate("processors") })
    }
}

@Preview(showBackground = true)
@Composable
fun CatalogPreview() {
}